Subject: ffmpegthumbnailer/gstreamer should be added to tumbler

From: Till Robin Zickel <[email-masked]>
Date: Thu, 5 Jan 2023 20:56:26 +0100

When using tumbler with the thunar file manager to generate thumbnails, 
tumblerd fails and just leaves empty files in /tmp. Inspecting the log with

dbus-monitor --session --monitor 
interface=org.freedesktop.thumbnails.Thumbnailer1

yields "No thumbnailer available for "file:///foo/bar/baz.mkv"", in this 
case for mkv files. Making ffmpegthumbnailer available to tumbler 
apparently fixes this. I'm not entirely sure if it should be made a hard 
dependency, because in theory users can freely pick the backends and at 
a later time others might become available.

I stumbled upon https://issues.guix.gnu.org/37276 where gstreamer has 
been removed and I don't understand why it's been done. The message only 
mentions "https://issues.guix.gnu.org/37276", but as I understand it 
gstreamer was very much necessary because without an appropriate backend 
tumbler won't show thumbnails...